//---------------------------------------------------------------------------
#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/Exception.h>
#include <cppunit/SourceLine.h>
#include "TestSimManager.h"
#include "TestLightFilter.h"
#include "TestSpatialDispersal.h"
#include "TestEstablishment.h"
#include "TestGermination.h"
#include "TestNonSpatialDispersal.h"
#include "TestModelMath.h"
#include "TestGrids.h"
#include "TestFuncResponseSeedPredation.h"
#include "TestIsotropicDisperse.h"
#include "TestSeedStochasticity.h"
#include "TestSubstrate.h"
#include "TestPlot.h"
#include "TestMicroEstablishment.h"
#include "TestStochasticMort.h"
#include "TestTreePopulation.h"
#include "TestTreeRemover.h"
#include "TestMortalityOrg.h"
#include "TestMortality.h"
#include "TestHarvest.h"
#include "TestEpisodicMortality.h"
#include "TestPlanting.h"
#include "TestTree.h"
#include "TestGrowthOrg.h"
#include "TestAbsoluteGrowth.h"
#include "TestRelativeGrowth.h"
#include "TestAllometricGrowthIncrementer.h"
#include "TestNciGrowth.h"
#include "TestLogisticGrowth.h"
#include "TestSimpleLinearGrowth.h"
#include "TestShadedLinearGrowth.h"
#include "TestSizeDepLogisticGrowth.h"
#include "TestLognormalGrowth.h"
#include "TestLightOrg.h"
#include "TestWeibullSnagMort.h"
#include "TestGLILight.h"
#include "TestStorm.h"
#include "TestStormDamageApplier.h"
#include "TestNCIMort.h"
#include "TestPuertoRicoEstablishment.h"
#include "TestVolumeCalculator.h"
#include "TestTreePopulation2.h"
#include "TestGLIMap.h"
#include "TestDimensionAnalysis.h"
#include "TestGapLight.h"
#include "TestDoubleMMRelGrowth.h"
#include "TestResourceMortality.h"
#include "TestStochasticGapGrowth.h"
#include "TestCompetitionMortality.h"
#include "TestDensitySelfThinning.h"
#include "TestBoleVolumeCalculator.h"
#include "TestDensitySeedSurvival.h"
#include "TestLightDepSeedSurvival.h"
#include "TestSubstrateDepSeedSurvival.h"
#include "TestSelectionHarvest.h"
#include "TestAllometry.h"
#include "TestStormLight.h"
#include "TestLinearBiLevelGrowth.h"
#include "TestLogisticBiLevelMortality.h"
#include "TestLogBiLevelGrowth.h"
#include "TestPRSemiStochGrowth.h"
#include "TestGLIPoints.h"
#include "TestSailLight.h"
#include "TestStochasticBiLevelMortality.h"
#include "TestTreeAgeCalculator.h"
#include "TestNCIBAGrowth.h"
#include "TestBasalAreaLight.h"
#include "TestStormKiller.h"
#include "TestHeightGLIWeibullMortality.h"
#include "TestPRStormBiLevelGrowth.h"
#include "TestMerchValueCalculator.h"
#include "TestCarbonValueCalculator.h"
#include "TestWindstorm.h"
#include "TestExpResourceMortality.h"
#include "TestAggregatedMortality.h"
#include "TestConstantGLI.h"
#include "TestAverageLight.h"
#include "TestHarvestInterface.h"
#include "TestPartitionedBiomass.h"
#include "TestSnagDecomp.h"
#include "TestRandomBrowse.h"
#include "TestBrowsedRelativeGrowth.h"
#include "TestBrowsedStochasticMortality.h"
#include "TestMastingSpatialDisperse.h"
#include "TestStormKilledPartitionedBiomass.h"
#include "TestNeighborhoodSeedPredation.h"
#include "TestOutput.h"
#include "TestCompetitionHarvest.h"
#include "TestRipleysKCalculator.h"
#include "TestConditOmegaCalculator.h"
#include "TestDetailedSubstrate.h"
#include "TestStormDirectKiller.h"
#include "TestQuadratGLILight.h"
#include "TestCrownRadiusReporter.h"
#include "TestMastingNonSpatialDisperse.h"
#include "TestMichMenNegGrowth.h"
#include "TestMichMenPhotoinhibition.h"
#include "TestFoliarChemistry.h"
#include "TestPowerHeightGrowth.h"
#include "TestPostHarvestSkiddingMort.h"
#include "TestLaggedPostHarvestGrowth.h"
#include "Messages.h"
#include <iostream>
//---------------------------------------------------------------------------

int main(int argc, char * argv[])
{
  using namespace std;
  try {

/*  clTestModelMath *p_oMathTest = new clTestModelMath();
  p_oMathTest->TestMath();
  cout << "TestMath test successful.\n";
  cout.flush();
  delete p_oMathTest;
*/
  /*TestSimManager *p_oSimManagerTest = new TestSimManager();
  p_oSimManagerTest->TestDoSetup1();
  p_oSimManagerTest->TestDoSetup2();
  p_oSimManagerTest->TestDoSetup3();
  cout << "TestSimManager test successful.\n";
  cout.flush();
  delete p_oSimManagerTest;*/

  /*clTestLightFilter *p_oFilter = new clTestLightFilter();
  p_oFilter->TestLightFiltering();
  cout << "TestLightFiltering test successful.\n";
  cout.flush();
  delete p_oFilter;*/

  /*clTestSpatialDispersal *p_oDispersal = new clTestSpatialDispersal();
  p_oDispersal->TestSpatialDisperse();
  cout << "TestSpatialDispersal test successful.\n";
  delete p_oDispersal;*/

  /*clTestEstablishment *p_oEstablishment = new clTestEstablishment();
  p_oEstablishment->TestEstablishment();
  cout << "TestEstablishment test successful.";
  delete p_oEstablishment;*/

/*  clTestGermination *p_oGermination = new clTestGermination();
  p_oGermination->TestGermination();
  cout << "TestGermination test successful.";
  delete p_oGermination;*/

/*  clTestNonSpatialDispersal *p_oNonSpatialDispersal = new clTestNonSpatialDispersal();
  p_oNonSpatialDispersal->TestNonSpatialDispersal();
  cout << "TestNonSpatialDispersal test successful.";
  delete p_oNonSpatialDispersal;*/

/*  clTestGrids *p_oGridTest = new clTestGrids();
  p_oGridTest->TestGrids();
  cout << "TestGrids test was successful.";
  delete p_oGridTest;*/

  /*clTestFuncResponseSeedPredation *p_oPredation = new clTestFuncResponseSeedPredation();
  p_oPredation->TestFuncResponseSeedPredation();
  cout << "TestFuncResponseSeedPredation test was successful.";
  delete p_oPredation;*/

  /*clTestSeedStochasticity *p_oDisperse = new clTestSeedStochasticity();
  p_oDisperse->TestGotAllDisperseObjects();
  cout << "TestSeedStochasticity test was successful.";
  delete p_oDisperse;*/

/*  clTestSubstrate *p_oSubstrate = new clTestSubstrate();
  p_oSubstrate->TestSubstrate();
  cout << "TestSubstrate test was successful.";
  delete p_oSubstrate;*/

/*  clTestPlot *p_oPlot = new clTestPlot();
  p_oPlot->TestPlot();
  cout << "TestPlot test was successful.";
  delete p_oPlot;*/

/*  clTestMicroEstablishment *p_oEstablishment = new clTestMicroEstablishment();
  p_oEstablishment->TestMicroEstablishment();
  cout << "TestMicroEstablishment test was successful.";
  delete p_oEstablishment;*/

/*  clTestStochasticMort *p_oMort = new clTestStochasticMort();
  p_oMort->TestStochasticMortality();
  cout << "TestStochasticMortality test was successful.";
  delete p_oMort;*/

  /*clTestTreePopulation *p_oTest = new clTestTreePopulation();
  p_oTest->TestTreePopulation();
  cout << "TestTreePopulation test was successful.";
  delete p_oTest;*/

  /*clTestMortalityOrg *p_oTest = new clTestMortalityOrg();
  p_oTest->TestMortalityOrg();
  cout << "TestMortalityOrg test was successful.";
  delete p_oTest;*/

/*  clTestTreeRemover *p_oTest = new clTestTreeRemover();
  p_oTest->TestTreeRemover();
  cout << "TestTreeRemover test was successful.";
  delete p_oTest;*/

/*  clTestMortality *p_oTest = new clTestMortality();
  p_oTest->TestMortality();
  cout << "TestMortality test was successful.";
  delete p_oTest;*/

/*  clTestHarvest *p_oTest = new clTestHarvest();
  p_oTest->TestHarvest();
  cout << "TestHarvest test was successful.";
  delete p_oTest;*/

  /*clTestPlanting *p_oTest = new clTestPlanting();
  p_oTest->TestPlanting();
  cout << "TestPlanting test was successful.";
  delete p_oTest;*/

/*  clTestEpisodicMortality *p_oTest = new clTestEpisodicMortality();
  p_oTest->TestEpisodicMortality();
  cout << "TestEpisodicMortality test was successful.";
  delete p_oTest;*/

  /*clTestTree *p_oTest = new clTestTree();
  p_oTest->TestTree();
  cout << "TestTree test was successful.";
  delete p_oTest;*/

  /*clTestGrowthOrg *p_oTest = new clTestGrowthOrg();
  p_oTest->TestGrowthOrg();
  cout << "TestGrowthOrg test was successful.";
  delete p_oTest;*/

  /*clTestAbsoluteGrowth *p_oTest = new clTestAbsoluteGrowth();
  p_oTest->TestAbsoluteGrowth();
  cout << "TestAbsoluteGrowth test was successful.";
  delete p_oTest;*/

  /*clTestRelativeGrowth *p_oTest = new clTestRelativeGrowth();
  p_oTest->TestRelativeGrowth();
  cout << "TestRelativeGrowth test was successful.";
  delete p_oTest;*/

  /*clTestAllometricGrowthIncrementer *p_oTest = new clTestAllometricGrowthIncrementer();
  p_oTest->TestAllometricGrowthIncrementer();
  cout << "TestAllometricGrowthIncrementer test was successful.";
  delete p_oTest;*/

  /*clTestNciGrowth *p_oTest = new clTestNciGrowth();
  p_oTest->TestNciGrowth();
  cout << "TestNciGrowth test was successful.";
  delete p_oTest;*/

  /*clTestLogisticGrowth *p_oTest = new clTestLogisticGrowth();
  p_oTest->TestLogisticGrowth();
  cout << "TestLogisticGrowth test was successful.";
  delete p_oTest;*/

  /*clTestSimpleLinearGrowth *p_oTest = new clTestSimpleLinearGrowth();
  p_oTest->TestSimpleLinearGrowth();
  cout << "TestSimpleLinearGrowth test was successful.";
  delete p_oTest;*/

  /*clTestShadedLinearGrowth *p_oTest = new clTestShadedLinearGrowth();
  p_oTest->TestShadedLinearGrowth();
  cout << "TestShadedLinearGrowth test was successful.";
  delete p_oTest;*/

  /*clTestSizeDepLogisticGrowth *p_oTest = new clTestSizeDepLogisticGrowth();
  p_oTest->TestSizeDepLogisticGrowth();
  cout << "TestSizeDepLogisticGrowth test was successful.";
  delete p_oTest;*/

  /*clTestLognormalGrowth *p_oTest = new clTestLognormalGrowth();
  p_oTest->TestLognormalGrowth();
  cout << "TestLognormalGrowth test was successful.";
  delete p_oTest;*/

  /*clTestLightOrg *p_oTest = new clTestLightOrg();
  p_oTest->TestLightOrg();
  cout << "TestLightOrg test was successful.";
  delete p_oTest;*/

  /*clTestWeibullSnagMort *p_oTest = new clTestWeibullSnagMort();
  p_oTest->TestWeibullSnagMort();
  cout << "TestWeibullSnagMort test was successful.";
  delete p_oTest;*/

  /*clTestStorm *p_oTest = new clTestStorm();
  p_oTest->TestStorm();
  cout << "TestStorm test was successful.";
  delete p_oTest;*/

/*  clTestGLILight *p_oTest = new clTestGLILight();
  p_oTest->TestGLILight();
  cout << "TestGLILight test was successful.";
  delete p_oTest;*/

/*  clTestStormDamageApplier *p_oTest = new clTestStormDamageApplier();
  p_oTest->TestStormDamageApplier();
  //p_oTest->MakeGraphs();
  cout << "TestStormDamageApplier test was successful.";
  delete p_oTest;*/

/*  clTestNCIMort *p_oTest = new clTestNCIMort();
  p_oTest->TestNCIMort();
  cout << "TestNCIMort test was successful.";
  delete p_oTest;*/

  /*clTestVolumeCalculator *p_oTest = new clTestVolumeCalculator();
  p_oTest->TestVolumeCalculator();
  cout << "TestVolumeCalculator test was successful.";
  delete p_oTest;*/

  /*clTestTreePopulation2 *p_oTest = new clTestTreePopulation2();
  p_oTest->TestTreePopulation();
  cout << "TestTreePopulation2 test was successful.";
  delete p_oTest;*/

  /*clTestGLIMap *p_oTest = new clTestGLIMap();
  p_oTest->TestGLIMap();
  cout << "TestGLIMap test was successful.";
  delete p_oTest;*/

  /*clTestDimensionAnalysis *p_oTest = new clTestDimensionAnalysis();
  p_oTest->TestDimensionAnalysis();
  cout << "TestDimensionAnalysis test was successful.";
  delete p_oTest;*/

  /*clTestCompetitionMortality *p_oTest = new clTestCompetitionMortality();
  p_oTest->TestMortality();
  cout << "TestCompetitionMortality test was successful.";
  delete p_oTest;*/

  /*clTestGapLight *p_oTest = new clTestGapLight();
  p_oTest->TestGapLight();
  cout << "TestGapLight test was successful.";
  delete p_oTest;*/

  /*clTestDoubleMMRelGrowth *p_oTest = new clTestDoubleMMRelGrowth();
  p_oTest->TestDoubleMMRelGrowth();
  cout << "TestDoubleMMRelGrowth test was successful.";
  delete p_oTest;*/

  /*clTestResourceMortality *p_oTest = new clTestResourceMortality();
  p_oTest->TestResourceMortality();
  cout << "TestResourceMortality test was successful.";
  delete p_oTest;*/

  /*clTestStochasticGapGrowth *p_oTest = new clTestStochasticGapGrowth();
  p_oTest->TestStochasticGapGrowth();
  cout << "TestStochasticGapGrowth test was successful.";
  delete p_oTest;*/

/*  clTestDensitySelfThinning *p_oTest = new clTestDensitySelfThinning();
  p_oTest->TestDensitySelfThinning();
  cout << "TestDensitySelfThinning test was successful.";
  delete p_oTest;*/

/*  clTestBoleVolumeCalculator *p_oTest = new clTestBoleVolumeCalculator();
  p_oTest->TestBoleVolumeCalculator();
  cout << "TestBoleVolumeCalculator test was successful.";
  delete p_oTest;*/

/*  clTestDensitySeedSurvival *p_oTest = new clTestDensitySeedSurvival();
  p_oTest->TestDensitySeedSurvival();
  cout << "TestDensitySeedSurvival test was successful.";
  delete p_oTest;*/

/*  clTestLightDepSeedSurvival *p_oTest = new clTestLightDepSeedSurvival();
  p_oTest->TestLightDepSeedSurvival();
  cout << "TestLightDepSeedSurvival test was successful.";
  delete p_oTest;*/

/*  clTestSubstrateDepSeedSurvival *p_oTest = new clTestSubstrateDepSeedSurvival();
  p_oTest->TestSubstrateDepSeedSurvival();
  cout << "TestSubstrateDepSeedSurvival test was successful.";
  delete p_oTest;*/

/*  clTestSelectionHarvest *p_oTest = new clTestSelectionHarvest();
  p_oTest->TestSelectionHarvest();
  cout << "TestSelectionHarvest test was successful.";
  delete p_oTest;*/

/*  clTestAllometry *p_oTest = new clTestAllometry();
  p_oTest->TestAllometry();
  cout << "TestAllometry test was successful.";
  delete p_oTest;*/

/*  clTestStormLight *p_oTest = new clTestStormLight();
  p_oTest->TestStormLight();
  cout << "TestStormLight test was successful.";
  delete p_oTest;*/

/*  clTestLinearBiLevelGrowth *p_oTest = new clTestLinearBiLevelGrowth();
  p_oTest->TestLinearBiLevelGrowth();
  cout << "TestLinearBiLevelGrowth test was successful.";
  delete p_oTest;*/

/*  clTestLogisticBiLevelMortality *p_oTest = new clTestLogisticBiLevelMortality();
  p_oTest->TestLogisticBiLevelMortality();
  cout << "TestLogisticBiLevelMortality test was successful.";
  delete p_oTest;*/

  /*clTestLogBiLevelGrowth *p_oTest = new clTestLogBiLevelGrowth();
  p_oTest->TestLogBiLevelGrowth();
  cout << "TestLogBiLevelGrowth test was successful.";
  delete p_oTest;*/

/*  clTestPRSemiStochGrowth *p_oTest = new clTestPRSemiStochGrowth();
  p_oTest->TestPRSemiStochGrowth();
  cout << "TestPRSemiStochGrowth test was successful.";
  delete p_oTest;*/

/*  clTestGLIPoints *p_oTest = new clTestGLIPoints();
  p_oTest->TestGLIPoints();
  cout << "TestGLIPoints test was successful.";
  delete p_oTest;*/

/*  clTestSailLight *p_oTest = new clTestSailLight();
  p_oTest->TestSailLight();
  cout << "TestSailLight test was successful.";
  delete p_oTest;*/

/*  clTestStochasticBiLevelMortality *p_oTest = new clTestStochasticBiLevelMortality();
  p_oTest->TestStochasticBiLevelMortality();
  cout << "TestStochasticBiLevelMortality test was successful.";
  delete p_oTest;*/

  /*clTestTreeAgeCalculator *p_oTest = new clTestTreeAgeCalculator();
  p_oTest->TestTreeAgeCalculator();
  cout << "TestTreeAgeCalculator test was successful.";
  delete p_oTest;*/

  /*clTestNCIBAGrowth *p_oTest = new clTestNCIBAGrowth();
  p_oTest->TestNCIBAGrowth();
  cout << "TestNCIBAGrowth test was successful.";
  delete p_oTest;*/

  /*clTestBasalAreaLight *p_oTest = new clTestBasalAreaLight();
  p_oTest->TestBasalAreaLight();
  cout << "TestBasalAreaLight test was successful.";
  delete p_oTest;*/

  /*clTestStormKiller *p_oTest = new clTestStormKiller();
  p_oTest->TestStormKiller();
  cout << "TestStormKiller test was successful.";
  delete p_oTest;*/

  /*clTestHeightGLIWeibullMortality *p_oTest = new clTestHeightGLIWeibullMortality();
  p_oTest->TestHeightGLIWeibullMortality();
  cout << "TestHeightGLIWeibullMortality test was successful.";
  delete p_oTest;*/

  /*clTestPRStormBiLevelGrowth *p_oTest = new clTestPRStormBiLevelGrowth();
  p_oTest->TestPRStormBiLevelGrowth();
  cout << "TestPRStormBiLevelGrowth test was successful.";
  delete p_oTest;*/

  /*clTestMerchValueCalculator *p_oTest = new clTestMerchValueCalculator();
  p_oTest->TestMerchValueCalculator();
  cout << "TestMerchValueCalculator test was successful.";
  delete p_oTest;*/

  /*clTestCarbonValueCalculator *p_oTest = new clTestCarbonValueCalculator();
  p_oTest->TestCarbonValueCalculator();
  cout << "TestCarbonValueCalculator test was successful.";
  delete p_oTest;*/

  /*clTestWindstorm *p_oTest = new clTestWindstorm();
  p_oTest->TestWindstorm();
  cout << "TestWindstorm test was successful.";
  delete p_oTest;*/

  /*clTestExpResourceMortality *p_oTest = new clTestExpResourceMortality();
  p_oTest->TestExpResourceMortality();
  cout << "TestExpResourceMortality test was successful.";
  delete p_oTest;*/

/*  clTestAggregatedMortality *p_oTest = new clTestAggregatedMortality();
  p_oTest->TestAggregatedMortality();
  cout << "TestAggregatedMortality test was successful.";
  delete p_oTest;*/

  /*clTestConstantGLI *p_oTest = new clTestConstantGLI();
  p_oTest->TestConstantGLI();
  cout << "TestConstantGLI test was successful.";
  delete p_oTest;*/

  /*clTestAverageLight *p_oTest = new clTestAverageLight();
  p_oTest->TestAverageLight();
  cout << "TestAverageLight test was successful.";
  delete p_oTest;*/


//*******************************************
// Problem
//*******************************************
  /*clTestHarvestInterface *p_oTest = new clTestHarvestInterface();
  p_oTest->TestHarvestInterface();
  cout << "TestHarvestInterface test was successful.";
  delete p_oTest;*/

/*  clTestPartitionedBiomass *p_oTest = new clTestPartitionedBiomass();
  p_oTest->TestPartitionedBiomass();
  cout << "TestPartitionedBiomass test was successful.";
  delete p_oTest;*/

  /*clTestSnagDecomp *p_oTest = new clTestSnagDecomp();
  p_oTest->TestSnagDecomp();
  cout << "TestSnagDecomp test was successful.";
  delete p_oTest;*/

/*  clTestRandomBrowse *p_oTest = new clTestRandomBrowse();
  p_oTest->TestRandomBrowse();
  cout << "TestRandomBrowse test was successful.";
  delete p_oTest;*/

/*  clTestBrowsedRelativeGrowth *p_oTest = new clTestBrowsedRelativeGrowth();
  p_oTest->TestBrowsedRelativeGrowth();
  cout << "TestBrowsedRelativeGrowth test was successful.";
  delete p_oTest;*/

/*  clTestBrowsedStochasticMortality *p_oTest = new clTestBrowsedStochasticMortality();
  p_oTest->TestBrowsedStochasticMortality();
  cout << "TestBrowsedStochasticMortality test was successful.";
  delete p_oTest;*/

  /*clTestMastingSpatialDisperse *p_oTest = new clTestMastingSpatialDisperse();
  p_oTest->TestMastingSpatialDisperse();
  cout << "TestMastingSpatialDisperse test was successful.";
  delete p_oTest;*/

  /*clTestStormKilledPartitionedBiomass *p_oTest = new clTestStormKilledPartitionedBiomass();
  p_oTest->TestStormKilledPartitionedBiomass();
  cout << "TestStormKilledPartitionedBiomass test was successful.";
  delete p_oTest;*/

  /*clTestNeighborhoodSeedPredation *p_oTest = new clTestNeighborhoodSeedPredation();
  p_oTest->TestNeighborhoodSeedPredation();
  cout << "TestNeighborhoodSeedPredation test was successful.";
  delete p_oTest;*/

  /*clTestOutput *p_oTest = new clTestOutput();
  p_oTest->TestOutput();
  cout << "TestOutput test was successful.";
  delete p_oTest;*/

/*  clTestCompetitionHarvest *p_oTest = new clTestCompetitionHarvest();
  p_oTest->TestCompetitionHarvest();
  cout << "TestCompetitionHarvest test was successful.";
  delete p_oTest;*/

  /*clTestRipleysKCalculator *p_oTest = new clTestRipleysKCalculator();
  p_oTest->TestRipleysKCalculator();
  cout << "TestRipleysKCalculator test was successful.";
  delete p_oTest;*/

  /*clTestConditOmegaCalculator *p_oTest = new clTestConditOmegaCalculator();
  p_oTest->TestConditOmegaCalculator();
  cout << "TestConditOmegaCalculator test was successful.";
  delete p_oTest;*/

  /*clTestDetailedSubstrate *p_oTest = new clTestDetailedSubstrate();
  p_oTest->TestDetailedSubstrate();
  cout << "TestDetailedSubstrate test was successful.";
  delete p_oTest;*/

  /*clTestStormDirectKiller *p_oTest = new clTestStormDirectKiller();
  p_oTest->TestStormDirectKiller();
  cout << "TestStormDirectKiller test was successful.";
  delete p_oTest;*/

  /*clTestQuadratGLILight *p_oTest = new clTestQuadratGLILight();
  p_oTest->TestQuadratGLILight();
  cout << "TestQuadratGLILight test was successful.";
  delete p_oTest;*/

///////////////////No longer needed
/*
  clTestCrownRadiusReporter *p_oTest = new clTestCrownRadiusReporter();
  p_oTest->TestCrownRadiusReporter();
  cout << "TestCrownRadiusReporter test was successful.";
  delete p_oTest;
  */

/*  clTestMastingNonSpatialDisperse *p_oTest = new clTestMastingNonSpatialDisperse();
  p_oTest->TestMastingNonSpatialDisperse();
  cout << "TestMastingNonSpatialDisperse test was successful.";
  delete p_oTest;*/

  /*clTestMichMenNegGrowth *p_oTest = new clTestMichMenNegGrowth();
  p_oTest->TestMichMenNegGrowth();
  cout << "TestMichMenNegGrowth test was successful.";
  delete p_oTest;*/

  /*clTestMichMenPhotoinhibition *p_oTest = new clTestMichMenPhotoinhibition();
  p_oTest->TestMichMenPhotoinhibition();
  cout << "TestMichMenPhotoinhibition test was successful.";
  delete p_oTest;*/

  /*clTestFoliarChemistry *p_oTest = new clTestFoliarChemistry();
  p_oTest->TestFoliarChemistry();
  cout << "TestFoliarChemistry test was successful.";
  delete p_oTest;*/

  /*clTestPowerHeightGrowth *p_oTest = new clTestPowerHeightGrowth();
  p_oTest->TestPowerHeightGrowth();
  cout << "TestPowerHeightGrowth test was successful.";
  delete p_oTest;*/

  /*clTestLaggedPostHarvestGrowth *p_oTest = new clTestLaggedPostHarvestGrowth();
  p_oTest->TestLaggedPostHarvestGrowth();
  cout << "TestLaggedPostHarvestGrowth test was successful.";
  delete p_oTest;*/

  clTestPostHarvestSkiddingMort *p_oTest = new clTestPostHarvestSkiddingMort();
  p_oTest->TestPostHarvestSkiddingMort();
  cout << "TestPostHarvestSkiddingMort test was successful.";
  delete p_oTest;

  return 0;
  } catch (modelErr err) {
    cout << "Exception thrown by " << err.cFunction << ":  " << err.cMoreInfo;
  } catch (CppUnit::Exception err) {
    cout << "Exception thrown - message: " << err.what() << " in file "
         << err.sourceLine().fileName() << " at line "
         << err.sourceLine().lineNumber() << ".";

  } catch (...) {
    cout << "Exception thrown.";
  }
}
//---------------------------------------------------------------------------
